<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/component_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  component_info_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>This subroutine returns information about a component of a bound
<span id="L4" class="LineNr"> 4 </span>segment similar to that returned by object_info_.  The component may be
<span id="L5" class="LineNr"> 5 </span>specified either by name or by offset.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>Entry points in component_info_:
<span id="L9" class="LineNr"> 9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>:Entry:  name:  02/06/84 component_info_$name
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Function:  This entry point specifies the component by name.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare component_info_$name entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr">20 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>call component_info_$name <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> comp_name<span class="textRainbow_lv0_o0">,</span> arg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Arguments:
<span id="L25" class="LineNr">25 </span>seg_ptr
<span id="L26" class="LineNr">26 </span>   is a pointer to the bound segment.
<span id="L27" class="LineNr">27 </span>comp_name
<span id="L28" class="LineNr">28 </span>   is the name of the component.
<span id="L29" class="LineNr">29 </span>arg_ptr
<span id="L30" class="LineNr">30 </span>   is a pointer to a structure to be filled in <span class="textRainbow_lv0_p0">(</span>a declaration of which
<span id="L31" class="LineNr">31 </span>   is found in component_info.incl.pl1<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>code
<span id="L33" class="LineNr">33 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>:Entry:  offset:  02/06/84 component_info_$offset
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>Function:  This entry point specifies the component by its offset.
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>Syntax:
<span id="L43" class="LineNr">43 </span>declare component_info_$offset entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L44" class="LineNr">44 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L45" class="LineNr">45 </span>call component_info_$offset <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> offset<span class="textRainbow_lv0_o0">,</span> arg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>Arguments:
<span id="L49" class="LineNr">49 </span>seg_ptr
<span id="L50" class="LineNr">50 </span>   is a pointer to the bound segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr">51 </span>offset
<span id="L52" class="LineNr">52 </span>   is an offset into the bound segment corresponding to the text,
<span id="L53" class="LineNr">53 </span>   internal static or symbol section of some component.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L54" class="LineNr">54 </span>arg_ptr
<span id="L55" class="LineNr">55 </span>   is a pointer to a structure to be filled in <span class="textRainbow_lv0_p0">(</span>a declaration of which
<span id="L56" class="LineNr">56 </span>   is found in component_info.incl.pl1<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L57" class="LineNr">57 </span>code
<span id="L58" class="LineNr">58 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
